/* Variables */

:root {
  --naranja: #e66300;
  --azul: #287987;
  --verde: #284407;
  --gris: #287980;
  --altura-nav: 50px;
  --altura-encabezado: 30px;
  --altura-icon: 20px;
}

/* Quita márgenes y padding por defecto */

* {
  margin: 0;
  padding: 0;
}

/* Fuentes */

* {
  font-family: 'AlegreyaSansRegular';
  font-weight: normal;
  font-style: normal; 
}

b, strong {
  font-family: 'AlegreyaSansBold';
}

i, em {
  font-family: 'AlegreyaSansItalic';
}


i > b, i > strong,
em > b, em > strong,
b > i, b > em,
strong > i, strong > em {
  font-family: 'AlegreyaSansBoldItalic';
}

h1, h2, h3, h4, h5, h6, nav *, footer *, p.more a {
  font-family: 'BebasNeueRegular';
  font-weight: normal;
  font-style: normal; 
}

/* Encabezados */

h1 {
  color: white;
  background-color: var(--azul);
  margin-bottom: var(--altura-nav);
  text-align: center;
  height: var(--altura-encabezado);
}

/* Cabeza: video de presentación */

div#introContainer {
  width: 100vw;
  height: 100vh;
  background-color: black;
}

video#intro {
  width: 100vw;
  height: 100vh;
}

@media all and (orientation: landscape) {
  video#intro {
    object-fit: cover;
  }
}

/* Banner */

#banner {
  width: 100vw;
  background-color: var(--gris);
}

#banner * {
  background-color: var(--verde); 
  color: white;
  text-align: left;
  font-size: 1.15em;
  height: auto;
} 

#banner h1 {
  margin-bottom: 0;
}

#banner > div {
  width: calc(100% - 4em);
  padding: 1em;
}

/* Nosotros */

#Nosotros p {
  font-weight: bold;
  padding: 1em 0;
}

/* Navegación */

nav {
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--naranja);
  height: var(--altura-nav);
  padding: 10px;
  z-index: 9998;
}

nav a {
  margin-left: 1em;
  color: white;
  text-decoration: none;
  font-size: 1em;
}

@media all and (min-width: 800px) {
  nav a {
    font-size: 1.5em;
  }
}

nav a#logo {
  margin-left: 0;
}

nav a#logo img {
  width: var(--altura-nav);
  height: var(--altura-nav);
}

nav a#home {
  display: none;
}

@media all and (min-width: 480px) {
  nav a#home {
    display: inline;
  }
}

nav a#media_init {
  margin-left: 2em;
}

nav a.media {
  display: none;
}

@media all and (min-width: 600px) {
  nav a.media {
    display: inline;
  }
}

nav a.media img {
  width: var(--altura-icon);
  height: var(--altura-icon);
} 

/* Secciones */

section {
  margin-bottom: var(--altura-nav);
}

/* Nosotros */

#Nosotros > * {
  clear: both;
}

#Nosotros h1 + div {
  padding-top: 0 !important;
}

#Nosotros h2 {
  text-align: center;
}

#Nosotros .txt-left {
  max-width: 600px;
  padding: 1em;
  margin: auto;
}

#Nosotros .txt-left p + p {
  padding-top: 0;
}

#Nosotros .txt-left p:last-child {
  padding-bottom: 0;
}

#Nosotros .txt-left img {
  display: block;
  margin: auto;
}

#Nosotros .txt-left + .txt-box {
  padding-top: 0;
}

#Nosotros .txt-box {
  display: grid;
  gap: 0;
  color: white;
  text-align: left;
  max-width: 500px;
  margin: auto;
  padding: 1em;
}

@media all and (max-width: 500px) {
  #Nosotros .txt-box {
    grid-template-columns: auto;
  }
}

@media all and (min-width: 501px) {
  #Nosotros .txt-box {
    grid-template-columns: auto auto;
  }
}

#Nosotros .txt-box div {
  display: flex;
  align-items: center;
  padding: 1em;
}

#Nosotros .txt-box div:first-child {
  background-color: var(--gris);
}

#Nosotros .txt-box div:last-child {
  background-color: var(--verde);
}

#Nosotros .txt-center {
  background-color: var(--naranja); 
  color: white;
  text-align: center;
  padding: 1em;
}

#services-types img {
  width: 100px;
  height: 100px;
}

/* Galería */

.lg-container {
  position: relative;
  z-index: 9999; 
}

#gallery {
  display: grid;
  justify-content: center;
  gap: 0 5px;
}

#gallery img {
  width: 100px;
  height: 100px;
}

@media all and (min-width: 100px) {
  #gallery {
    grid-template-columns: auto;
  }
}

@media all and (min-width: 205px) {
  #gallery {
    grid-template-columns: auto auto;
  }
}

@media all and (min-width: 310px) {
  #gallery {
    grid-template-columns: auto auto auto;
  }
}

@media all and (min-width: 415px) {
  #gallery {
    grid-template-columns: auto auto auto auto;
  }
}

@media all and (min-width: 520px) {
  #gallery {
    grid-template-columns: auto auto auto auto auto;
  }
}

@media all and (min-width: 625px) {
  #gallery {
    grid-template-columns: auto auto auto auto auto auto;
  }
}

@media all and (min-width: 730px) {
  #gallery {
    grid-template-columns: auto auto auto auto auto auto auto;
  }
}

@media all and (min-width: 835px) {
  #gallery {
    grid-template-columns: auto auto auto auto auto auto auto auto;
  }
}

@media all and (min-width: 940px) {
  #gallery {
    grid-template-columns: auto auto auto auto auto auto auto auto auto;
  }
}

/* Mapa */

#Contacto {
  margin-bottom: 0;
}

#mapContainer {
  position: relative;
  height: 100vh;
  width: 100vw;
  margin: 0;
}

#map {
  width: 100%;
  height: 100%;
}

.overlay {
  position: absolute;
  top: 0;
  width: 33%;
  height: 100%;
  z-index: 9997;
}

#left {
  left: 0;
}

#right {
  right: 0;
}

.leaflet-control-attribution {
  display: none;
}

#Contacto h1 {
  margin-bottom: 0;
}

#Blog {
  padding-top: 0;
}

#Blog h1 {
  margin-top: 0;
}

/* Entradas de blog */

div.post {
  margin: 1em 2em;
  padding: 1em .5em;
  border-top: dashed var(--azul) 1px;
  clear: both;
  overflow: auto;
}

div.post:first-of-type {
  border-top: none;
}

div.post > div {
  width: calc(100% - 1em);
}

div.post img {
  width: 100%;
}

div.post p.title {
  font-size: 1.25em;
  font-weight: bold;
}

div.post p.date {
  font-style: italic;
}

div.post p.more {
  margin-top: 1em;
}

div.post p.more a {
  color: white;
  background-color: var(--naranja);
  text-decoration: none;
  font-size: 1em;
  padding: .5em;
}

@media all and (min-width: 600px) {
  div.post {
    margin: 1em 4em;
    padding: 1em;
  }
  div.post > div {
    float: left;
    width: 50%;
  }
  div.post > div:first-child {
    width: calc(50% - 4em);
    padding-right: 1em;
  }
}

@media all and (min-width: 800px) {
  div.post {
    margin: 1em auto;
    padding: 1em;
    max-width: 800px;
  }
  div.post > div {
    float: left;
    width: 67%;
    padding: 1em;
  }
  div.post > div:first-child {
    width: calc(33% - 4em);
    padding-right: 1em;
  }
}

/* Pie */

footer {
  text-align: center;
  height: var(--altura-nav);
  background-color: var(--gris);
  margin-top: var(--altura-nav);
  padding: 10px;
}

footer * {
  color: white;
}

footer a.media:not(:first-child) {
  margin-left: 1em;
}

footer a.media img {
  width: var(--altura-icon);
  height: var(--altura-icon);
}

footer p.media {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
}

/* Flecha para ir abajo; cfr. https://codepen.io/postor/pen/vYpNYg */

.arrow-down {
  width: 60px;
  height: 40px;
  margin: 0 0 0 -15px;
  position: absolute;
  left: 50%;
  bottom: 0px;
  -webkit-animation: arrow 0.5s 1s infinite ease-out alternate;
}

.arrow-down:hover {
  -webkit-animation-play-state: paused;
}

.left, .right {
  position: absolute;
  height: 10px;
  width: 40px;
  background: var(--gris);
  top: 10px;
  left: 10px;
  -webkit-border-radius: 4px;
  -webkit-transform-origin: 5px 50%;
  -webkit-transform: rotate(240deg);
  -webkit-animation: leftArrow 0.5s 1s infinite ease-out alternate;
}

.right {
  -webkit-transform: rotate(-60deg);
  -webkit-animation: rightArrow 0.5s 1s infinite ease-out alternate;
}

@-webkit-keyframes arrow {
  0% { bottom: 0px; }
  100%{ bottom: 40px; }
}

@-webkit-keyframes leftArrow {
  100%{ -webkit-transform: rotate(225deg); }
}

@-webkit-keyframes rightArrow {
  100%{ -webkit-transform: rotate(-45deg); }
}
